Endpoints
Production URLs
All Premium API production endpoints have:
- Domain address: (api.danskebank.com/)
- Root context-path: (corporate/api/)
Sandbox URLs
All Premium API Sandbox endpoints have:
- Domain address: (sandbox-api.danskebank.com/)
- Root context-path: (sandbox-corporate/api/)
Mock URLs
The Mock Service is the quickest way to try Premium APIs before onboarding. It returns example responses based on the API specification and may also return error responses at random to help you test error handling.
For full details, see the Mock Service documentation.
Client Credentials Grant Token Retrieval
URLs depends on Production or Sandbox access (see above).
Endpoint: dk/business/oauth2/token
To access a resource, the client first needs to request a Client Credentials Grant token by calling the token endpoint specified. The request should be a x-www-form-urlencoded POST with the following parameters:
- grant_type —
client_credentials(read more). - scope — should contain a scope the client has access to:
"accounts","payments"(read more). For the currently available Premium API, please use scope"accounts"or"payments". - client_id — the id received with the registration response (read more).
Example request body
grant_type=client_credentials&scope=accounts&client_id=1234567890
Example response
{
"token_type": "Bearer",
"access_token": "A****",
"metadata": "m:",
"expires_in": 3600,
"consented_on": 1588933990,
"scope": "accounts"
}
The access_token received should be used for all requests. Access token should be included in the Authorization header in the POST request:
Authorization: Bearer <access token>
Token is valid for 1 hour.
Is this helpful?
On This Page